Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07444 DIP/Input Trivial Always Oct 3, 2019, 03:44 Oct 12, 2019, 03:46
Tester girosintornillos View Status Public Platform MAME (Official Binary)
Assigned To girosintornillos Resolution Fixed OS
Status [?] Resolved Driver seta.cpp
Version 0.214 Fixed in Version 0.215 Build
Summary 07444: blandia, blandiap: "Lives" DIP Switch shows badly the amount of lives of Test Mode
Description Blandia: Test mode shows lives that are wrong in DIP Switches menu, Test Mode "0" is "One Life" in game (game developers bug?)
Blandia (prototype): Test mode shows lives that are OK in DIP Switches menu, however in game are not the same number of lives

blandia:
DIP - Test Mode - In Game
 1 - 1 - One Life
 2 - 0 - One Life
 3 - 2 - Two Lifes
 4 - 3 - Three Lifes

blandiap:
DIP - Test Mode - In Game
 1 - 1 - One Life
 2 - 2 - One Life
 3 - 3 - Two Lifes
 4 - 4 - Three Lifes
Steps To Reproduce Change the amount of Lives DIP during Test Mode, the numbers in blandia do not match
Additional Information
Flags
Regression Version
Affected Sets / Systems blandia, blandiap
Attached Files
mp4 file icon blandia.mp4 (391,110 bytes) Oct 3, 2019, 03:44 Uploaded by girosintornillos
mp4 file icon blandiap.mp4 (402,817 bytes) Oct 3, 2019, 03:47 Uploaded by girosintornillos
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17057
Osso
Developer
Oct 9, 2019, 06:08
From testing I would say the games behave like this:

DIP - In Game
 1 - One Life, One Round
 2 - One Life, Two Rounds
 3 - Two Lives
 4 - Three Lives

Agreed, girosintornillos?
User avatar
No.17073
M.A.S.H.
Senior Tester
Oct 12, 2019, 03:46
I accidentally changed this report before reading the source notes. But now everything is correct again.